> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all actions of an app GET https://api.contentful.com/organizations/{organization_id}/app_definitions/{app_definition_id}/actions Reference: https://contentful.com/developers/docs/references/content-management-api/app-actions/get-all-actions-of-an-app ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `organization_id` (string, required) — organization_id identifier - `app_definition_id` (string, required) — app_definition_id identifier ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "items": [ { "category": "Custom", "description": "Action that triggers builds for your website", "name": "Trigger Build", "parameters": [ { "description": "Website you want to build", "id": "website", "name": "Website", "type": "Symbol" } ], "sys": { "appDefinition": { "sys": { "id": "", "linkType": "AppDefinition", "type": "Link" } }, "createdAt": "2025-04-26T18:34:23.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "id": "6zbidGOqH...", "organization": { "sys": { "id": "0D9ZC8rLWiw6x5qizZGiRs", "linkType": "Organization", "type": "Link" } }, "type": "AppAction", "updatedAt": "2025-04-26T18:34:23.000Z", "updatedBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } } } } ], "limit": 100, "skip": 0, "sys": { "type": "Array" }, "total": 1 } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client .getOrganization('') .then((org) => org.getAppActions('')) .then((appActions) => console.log(appActions)) .catch(console.error); ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const appActions = await client.appAction.getMany({ organizationId: '', appDefinitionId: '', }); ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```